summaryrefslogtreecommitdiff
path: root/git/diff.sh
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2011-08-30 16:37:11 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2011-08-30 16:37:11 +0200
commit8899a8271338ba19f32bae1b30e0df0392afe1bc (patch)
tree6644c5b51a302da9c6f1e35e5478707aa6cc321f /git/diff.sh
parent7da455da65d4c6ca7c58cf915f158349184373f0 (diff)
Add error handling to git scripts
Diffstat (limited to 'git/diff.sh')
-rwxr-xr-xgit/diff.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/git/diff.sh b/git/diff.sh
index 19737e9..bd4639e 100755
--- a/git/diff.sh
+++ b/git/diff.sh
@@ -10,7 +10,20 @@ wd=`pwd`
for i in $modules; do
echo "diff $i" 1>&2
cd $i
+
git --no-pager diff
+
+ if [ $? -ne 0 ]; then
+ echo "diff FAILED" 1>&2
+ exit 1
+ fi
+
git --no-pager diff --check
+
+ if [ $? -ne 0 ]; then
+ echo "diff --check FAILED" 1>&2
+ exit 1
+ fi
+
cd $wd
done